Bug 246854 - net/pichi: Fix building failure on FreeBSD-13.0-CURRENT
Summary: net/pichi: Fix building failure on FreeBSD-13.0-CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-30 02:51 UTC by Pichi
Modified: 2020-06-26 11:17 UTC (History)
1 user (show)

See Also:


Attachments
net/pichi patch (3.35 KB, patch)
2020-05-30 02:51 UTC, Pichi
pichi: maintainer-approval+
Details | Diff
net/pichi patch (4.19 KB, patch)
2020-06-26 04:23 UTC, Pichi
pichi: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pichi 2020-05-30 02:51:47 UTC
Created attachment 215038 [details]
net/pichi patch

The default c++ compiler on FreeBSD 13.0 CURRENT is Clang10, which has more strict type checking than the one on FreeBSD 12. So, adding some patch files to fix it.
Comment 1 Fernando Apesteguía freebsd_committer 2020-06-23 10:43:13 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Also, would you mind to recreate the patches so they comply with the preferred makepatch format?

Thanks!
Comment 2 Pichi 2020-06-25 11:37:41 UTC
(In reply to Fernando Apesteguía from comment #1)
Could you please tell me how to create the patches who can comply with the preferred makepatch format?

Thanks.
Comment 3 Fernando Apesteguía freebsd_committer 2020-06-25 11:44:12 UTC
(In reply to Pichi from comment #2)

Sure, if you have a look at the output of portlint -AC:

It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.

So just run "make makepatch" and the framework will regenerate the patches and place them in files/

See https://www.freebsd.org/doc/en/books/porters-handbook/slow-patch.html for details.

Thanks!
Comment 4 Pichi 2020-06-26 04:23:44 UTC
Created attachment 215952 [details]
net/pichi patch

Recreate the patch file for complying with makepatch format.
Comment 5 Pichi 2020-06-26 04:24:42 UTC
(In reply to Fernando Apesteguía from comment #3)

Thanks a lot for your hints. Now, the new one has been uploaded.
Comment 6 commit-hook freebsd_committer 2020-06-26 11:16:16 UTC
A commit references this bug:

Author: fernape
Date: Fri Jun 26 11:15:19 UTC 2020
New revision: 540491
URL: https://svnweb.freebsd.org/changeset/ports/540491

Log:
  net/pichi: Fix build on 13.0-CURRENT

  The default c++ compiler on FreeBSD 13.0 CURRENT is Clang10, which has more
  strict type checking than the one on FreeBSD 12. So, adding some patch files to
  fix it.

  PR:	246854
  Submitted by:	pichi@elude.in (maintainer)

Changes:
  head/net/pichi/Makefile
  head/net/pichi/files/patch-include_pichi_config.hpp.in
  head/net/pichi/files/patch-server_main.cpp
  head/net/pichi/files/patch-test_endpoint.cpp
  head/net/pichi/files/patch-test_method.cpp
  head/net/pichi/files/patch-test_utils.hpp
Comment 7 Fernando Apesteguía freebsd_committer 2020-06-26 11:17:03 UTC
Committed,

Thanks!